# Debian

## Upgrade to latest stable

Enure backups !

### Ensure everything is up to date

```shell
apt update
apt upgrade
apt dist-upgrade
```

### Check package db consistency

```shell
dpkg -C
```

### Check hold packages

Hold packages will not be upgraded, ensure there is no deps shit

```shell
apt-mark showhold
```

If there is anything, check with `dpkg --audit`

### Update source list

Check

```shell
sed s/$OLDSTABLE/$STABLE/g /etc/apt/sources.list
# for exemple
sed s/stretch/buster/g /etc/apt/sources.list
```

Is it's ok, go

```shell
sed -i s/stretch/buster/g /etc/apt/sources.list
```

Do not forget stuff in source.list.d

```shell
find /etc/apt/sources.list.d/ -type f -exec sed -i s/stretch/buster/g {} \;
```

### Simulate

```shell
apt update
apt list --upgradable
```

### Go

```shell
apt upgrade
apt dist-upgrade
```

### Clean

```shell
apt autoclean
```

Enjoy !
